LINUX.ORG.RU

zlib


0

0

Нашел на http://www.linuxsecurity.com, что все пакеты, использующие не shared zlib libraries (которую нужно тоже обновить), а свои zlib подвержены zlib vulnerability, что может привести к краху программ, хотя експлоитов, как бы, в явном виде нет, но нужно обратить внимание. Только как определить какая прога какие zlib использует?
Вот link: http://www.linuxsecurity.com/articles/security_sources_article-4582.html  

Re: zlib

Ну если она слинкована динамически - то меняешь версию zlib в системе и все пучком (посмотреть в этом случае можно ldd program) и избавляешься от дырки. Если же она собрана статически ldd тебе ничего не покажет (и как посмотреть в этом случае я не знаю - скорее всего никак) выход - только ее пересборка.

Dimai ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.